# ORCA NO2 doublet ROHF single point energy

from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

# default: convergence='tightscf'
orca = ORCA(frag=no2, method="hf", basis="3-21g", scftype="rohf", mult=2)

sp = SP(theory=orca, gradients=False)
sp.run()

ecalc = sp.result.energy

# Tcl-ChemShell 3.7.1/ORCA 4.2.1 result
# convergence=normalscf from Tcl-ChemShell
#eref = -202.835882938909
# convergence=tightscf
#eref = -202.835883013631
# ORCA 5.0.3 
eref = -202.83588301

testutils.validate(ecalc, eref)
